{% extends 'admin/base.html.twig'%}

{% block stylesheets %}
    {{ encore_entry_link_tags('admin-users') }}
{% endblock %}

{% block content %}
    <div class="block-title">
        <p class="title">Пользователи</p>
        <p class="subtitle">Список всех клиентов</p>
    </div>
    <div class="block-content-wrapper">
        <div class="block-content-menu">
            <a href="#popup-create-user" class="block-content-menu-btn-create btn-create-user">Создать клиента</a>
{#            <div class="block-content-menu-list folder-menu">#}
{#                <ul>#}
{#                    {% for folder in folders %}#}
{#                        <li>#}
{#                            <a href="{{ folder.link }}" {% if folder.active %} class="active" {% endif %} data-folder-id="{{ folder.id }}">#}
{#                                {% if folder.active %}<i class="fas fa-folder-open"></i>{% else %} <i class="fas fa-folder"></i>{% endif %}{{ folder.displayName }}</a>#}
{#                        </li>#}
{#                    {% endfor %}#}
{#                </ul>#}
{#            </div>#}
        </div>
        <div class="block-content-menu-mobile">
            <a href="#popup-create-user" class="block-content-menu-btn-create btn-create-user"> + </a>
        </div>
        <div class="block-content">
            <div class="block-content-header">
                <p class="title">Пользователи</p>
                {#                <div class="title-menu">#}
                {#                    <a href="#" class="btn-save-meta"><i class="fas fa-save"></i> Сохранить</a>#}
                {#                </div>#}
            </div>
            <div class="content-list-wrapper">
                <table class="table table-users responsive-table jsmartable">
                    <thead>
                    <tr>
                        <th data-breakpoint="sm">ID</th>
                        <th>Имя</th>
                        <th data-breakpoint="md">Фамилия</th>
                        <th data-breakpoint="lg">Телефон</th>
                        <th>Действие</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for user in users %}
                        <tr data-user-id="{{ user.id }}">
                            <td>{{ user.id }}</td>
                            <td>{{ user.name }}</td>
                            <td>{{ user.surname }}</td>
                            <td>{{ user.phone }}</td>
                            <td>
                                <a href="{{ path('admin_user', {'userId': user.id}) }}"><span class="btn-edit"><i class="fas fa-eye"></i></span></a>
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <div id="popup-create-user" class="popup-form-wrapper white-popup mfp-hide">
        <form>
            <p class="error"></p>
            <p class="label">Имя:</p>
            <input type="text" class="user-name"/>
            <p class="label">Фамилия:</p>
            <input type="text" class="user-surname"/>
            <p class="label">Телефон:</p>
            <input type="text" class="user-phone" id="user-phone"/>
            <button class="popup-btn-create-user btn-save">Создать</button>
        </form>
    </div>
{% endblock %}

{% block javascripts %}
    <!-- Latest compiled and minified Bootstrap -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
    {{ encore_entry_script_tags('admin-users') }}
{% endblock %}